Bug 814785 - [ipa webui] Update Unsaved Changes for Netgroups
[ipa webui] Update Unsaved Changes for Netgroups
Status: CLOSED ERRATA
Product: Red Hat Enterprise Linux 6
Classification: Red Hat
Component: ipa (Show other bugs)
6.2
Unspecified Unspecified
medium Severity unspecified
: rc
: ---
Assigned To: Rob Crittenden
Namita Soman
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-04-20 12:41 EDT by Namita Soman
Modified: 2013-02-21 04:11 EST (History)
6 users (show)

See Also:
Fixed In Version: ipa-3.0.0-1.el6
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-02-21 04:11:22 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Patch which removes dependency on facet update event. (1.07 KB, patch)
2012-04-23 07:04 EDT, Petr Vobornik
no flags Details | Diff

  None (edit)
Description Namita Soman 2012-04-20 12:41:35 EDT
Description of problem:
After a change is made to Netgroups, for example, change description, or add members, then go back to main page of Netgroups without saving. This brings up the "Unsaved Changes" window with options to Update, Reset or Cancel. Click on Update, changes are updated, but this window doesn't close, and take you back to list of Netgroups (as is the behaviour on rest of the pages) The "Unsaved XChnages" window is still up.

Version-Release number of selected component (if applicable):
ipa-server-2.2.0-10.el6.x86_64

How reproducible:
always

Steps to Reproduce:
1. Edit a Netgroup
2. Change description
3. Click on Netgroups - to go back to list of Netgroups, without saving
4. Window titled - "Unsaved Changes" prompts user to Update/Reset/Cancel
5. Reset takes you back to list of Netgroups, cancels stays on page
6. Hit Update
  
Actual results:
Changes are updated, but Window titled "Unsaved Changes" remains open, expecting user to hit a button again

Expected results:
Should update, and take user back to list of Netgroups

Additional info:
Comment 3 Petr Vobornik 2012-04-23 06:06:58 EDT
Upstream has facet update enhancement implemented in https://fedorahosted.org/freeipa/ticket/2075 . This enhancement is not in RHEL (ipa-server-2.2.0.10-el6). New netgroup UI has a dependency on that facet event. This dependency should be removed.

It would fix navigating to netgroup search page when netgroup details page is dirty.

During investigation of this issue I found out, that when navigating to different entity, ie from netgroup to users, when facet is dirty it would happen too, even with that dependency removed. This problem is present also in HBAC, Sudo and SELinux details pages because they share the same program logic. It also messes up navigation a bit - old tab is highlighted instead of new one. This cross-entity navigation part is present in upstream as well.
Comment 4 Petr Vobornik 2012-04-23 07:04:38 EDT
Created attachment 579496 [details]
Patch which removes dependency on facet update event.

Attaching patch which removes the dependency on facet update event. 

It solves the reported issue - the part reported by Namita.
Comment 7 RHEL Product and Program Management 2012-07-10 02:22:18 EDT
This request was not resolved in time for the current release.
Red Hat invites you to ask your support representative to
propose this request, if still desired, for consideration in
the next release of Red Hat Enterprise Linux.
Comment 8 RHEL Product and Program Management 2012-07-10 19:27:17 EDT
This request was erroneously removed from consideration in Red Hat Enterprise Linux 6.4, which is currently under development.  This request will be evaluated for inclusion in Red Hat Enterprise Linux 6.4.
Comment 9 Martin Kosek 2012-09-18 03:19:57 EDT
Facet expiration issues were fixed upstream:

master:
bbe672a2aea1651a4a0eeca20b8339f0799f3431
18a6ab356a159a88c5aab014f344eb14a9d38c81

ipa-2-2:
ebeb20e54eaae9b32c450514c8f8d1a84156866d
471e06fc3fd92fb4fcb501242030f4ff6b893ded
Comment 13 Varun Mylaraiah 2013-01-18 13:03:31 EST
Verified using ipa-server-3.0.0-22.el6.x86_64

https://wiki.idm.lab.bos.redhat.com/qa/archive/ipa/webui/automation/firefox/test-output-ipa-server-3.0.0-QA/0114_64bit/full%20suite/IPANetgroupTestSuite/index.html

---
Starting Test: testNetgroupEdit_bug814785([NetgroupEdit_bug814785, bug814785_netgroup, bug814785_netgroup description])

Starting Test: testNetgroupEdit_bug814785([NetgroupEdit_bug814785, bug814785_netgroup, bug814785_netgroup description])

Starting Test: testNetgroupEdit_bug814785([NetgroupEdit_bug814785, bug814785_netgroup, bug814785_netgroup description])

Starting Test: testNetgroupEdit_bug814785([NetgroupEdit_bug814785, bug814785_netgroup, bug814785_netgroup description])

Starting Test: testNetgroupEdit_bug814785([NetgroupEdit_bug814785, bug814785_netgroup, bug814785_netgroup description])

Starting Test: testNetgroupEdit_bug814785([NetgroupEdit_bug814785, bug814785_netgroup, bug814785_netgroup description])

Starting Test: testNetgroupEdit_bug814785([NetgroupEdit_bug814785, bug814785_netgroup, bug814785_netgroup description])

Starting Test: testNetgroupEdit_bug814785([NetgroupEdit_bug814785, bug814785_netgroup, bug814785_netgroup description])

Asserted: Redirected back to Netgroup listing page

Asserted: Actual value of 'bug814785_netgroup description' matches expected value: Netgroup description updated successfully

Test Passed: testNetgroupEdit_bug814785([NetgroupEdit_bug814785, bug814785_netgroup, bug814785_netgroup description])

Test Passed: testNetgroupEdit_bug814785([NetgroupEdit_bug814785, bug814785_netgroup, bug814785_netgroup description])

Test Passed: testNetgroupEdit_bug814785([NetgroupEdit_bug814785, bug814785_netgroup, bug814785_netgroup description])

Test Passed: testNetgroupEdit_bug814785([NetgroupEdit_bug814785, bug814785_netgroup, bug814785_netgroup description])

Test Passed: testNetgroupEdit_bug814785([NetgroupEdit_bug814785, bug814785_netgroup, bug814785_netgroup description])

Test Passed: testNetgroupEdit_bug814785([NetgroupEdit_bug814785, bug814785_netgroup, bug814785_netgroup description])

Test Passed: testNetgroupEdit_bug814785([NetgroupEdit_bug814785, bug814785_netgroup, bug814785_netgroup description])

Test Passed: testNetgroupEdit_bug814785([NetgroupEdit_bug814785, bug814785_netgroup, bug814785_netgroup description])
Comment 15 errata-xmlrpc 2013-02-21 04:11:22 EST
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

http://rhn.redhat.com/errata/RHSA-2013-0528.html

Note You need to log in before you can comment on or make changes to this bug.